package com.bonus.core.common.thirdutils.alipay.model;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(
   prefix = "pay.alipay.tripartite"
)
public class AlipayProperties {
   private String alipayAppId;
   private String alipayAppPrikey;
   private String alipayPublicKey;

   public String getAlipayAppId() {
      return this.alipayAppId;
   }

   public String getAlipayAppPrikey() {
      return this.alipayAppPrikey;
   }

   public String getAlipayPublicKey() {
      return this.alipayPublicKey;
   }

   public void setAlipayAppId(final String alipayAppId) {
      this.alipayAppId = alipayAppId;
   }

   public void setAlipayAppPrikey(final String alipayAppPrikey) {
      this.alipayAppPrikey = alipayAppPrikey;
   }

   public void setAlipayPublicKey(final String alipayPublicKey) {
      this.alipayPublicKey = alipayPublicKey;
   }
}
